Bug 1830487 - Crash QCAD at startup
Summary: Crash QCAD at startup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qcad
Version: 33
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL: https://www.qcad.org/rsforum/viewtopi...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-02 06:55 UTC by toobinks
Modified: 2020-09-25 16:41 UTC (History)
6 users (show)

Fixed In Version: qcad-3.25.1.0-1.fc32 qcad-3.25.1.0-1.fc31 qcad-3.25.1.0-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-05 18:32:17 UTC
Type: Bug


Attachments (Terms of Use)

Description toobinks 2020-05-02 06:55:43 UTC
Description of problem:
Crash QCAD at startup

Version-Release number of selected component (if applicable):
qcad-3.24.3.0-1.fc32.x86_64

How reproducible:
always

Steps to Reproduce:
1.run QCAD

Actual results:
/usr/bin/qcad: line 3:  7658 Bus error               (core dumped) /usr/lib64/qcad/qcad-bin "$@"

Comment 1 Pontus Enhager 2020-05-02 07:15:57 UTC
i see this too on a freshly installed laptop with F32, my other computer (F31) worked just fine yesterday at least...

Comment 2 Vasiliy Glazov 2020-05-02 08:19:25 UTC
I can confirm crash.
The same with 3.24.3.4 built in mock.

Comment 3 Antonio T. (sagitter) 2020-05-02 08:25:12 UTC
Yes, i seen yesterday.
Let me investigate.

Comment 4 Antonio T. (sagitter) 2020-05-02 09:48:55 UTC
Link to the ticket reported to upstream:
https://www.qcad.org/rsforum/viewtopic.php?f=76&t=7194

Comment 5 Weston Schmidt 2020-05-15 00:53:46 UTC
I rebuilt qcad-3.24.2.6-2 against F32 & it crashes the same way.  I'm not convinced this is an upstream issue in qcad.  It looks like an incompatibility in an upstream dependency in QT5, but I'm not familiar enough with that system to debug it properly.  Regardless of if I locally build the RPM, or build the code base from github I'm seeing the same issue.

I ran qcad-3.24.2.6-2 on my F31 laptop & it works as well as qcad-3.24.3.0-1.fc31.x86_64.

Comment 6 Serge Vylekzhanin 2020-06-12 08:24:43 UTC
confirm it. just after upgrade f31 → f32.

Comment 7 Weston Schmidt 2020-06-15 16:35:09 UTC
I ran a dnf update this morning and qcad stopped crashing at boot up & appears to be working correctly.

Looking at the packages that changed & that are in the qcad dependencies list I saw these 3:

 qt5-designer                x86_64 5.14.2-1.fc32
 qt5-qtsvg                   x86_64 5.14.2-1.fc32
 qgnomeplatform              x86_64 0.6.1-2.fc32

I'm not sure how to drill down into which fix made the difference, but it's probably worth updating the qcad.spec file to require versions listed above or later.

Comment 8 Pontus Enhager 2020-06-15 17:01:24 UTC
i also see the improvement after the slew of Qt updates. QCad now starts and seem to be able to open drawings!
Thanks a lot

Comment 9 Antonio T. sagitter 2020-06-15 17:17:46 UTC
Great!

This bug is circumscribed to Fedora 31 with Qt5-5.13.2, then.

Comment 10 Weston Schmidt 2020-06-15 18:39:04 UTC
What is interesting about F31, is that qcad works with QT 5.13.2.  (I just confirmed that my F31 laptop was running with QT 5.13.2)  I think it was some issue with 5.13.2 in only Fedora 32.

Maybe this is what you mean, but I didn't read it that way.

Comment 11 Antonio T. sagitter 2020-06-15 19:29:08 UTC
(In reply to Weston Schmidt from comment #10)
> What is interesting about F31, is that qcad works with QT 5.13.2.  (I just
> confirmed that my F31 laptop was running with QT 5.13.2)  I think it was
> some issue with 5.13.2 in only Fedora 32.
> 

Okay. We don't really know what's the origin of those crashes.
Hope it does not come up again.

Comment 12 Ben Cotton 2020-08-11 15:32:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 13 Fedora Update System 2020-08-23 10:51:11 UTC
FEDORA-2020-b1590a3506 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b1590a3506

Comment 14 Fedora Update System 2020-08-24 01:47:22 UTC
FEDORA-2020-b1590a3506 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b1590a3506`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b1590a3506

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-08-25 01:05:12 UTC
FEDORA-2020-b1590a3506 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-09-01 13:26:53 UTC
FEDORA-2020-69443441a8 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-69443441a8

Comment 17 Fedora Update System 2020-09-01 13:26:54 UTC
FEDORA-2020-f3c5ed58ed has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f3c5ed58ed

Comment 18 Fedora Update System 2020-09-01 18:12:51 UTC
FEDORA-2020-69443441a8 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-69443441a8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-69443441a8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2020-09-01 19:26:17 UTC
FEDORA-2020-f3c5ed58ed has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f3c5ed58ed`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f3c5ed58ed

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2020-09-01 21:48:56 UTC
FEDORA-2020-a69984603b has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-a69984603b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a69984603b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2020-09-05 18:32:17 UTC
FEDORA-2020-f3c5ed58ed has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2020-09-09 14:20:18 UTC
FEDORA-2020-69443441a8 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2020-09-25 16:41:49 UTC
FEDORA-2020-a69984603b has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.